Name:           qtspell
Version:        0.7.4
Release:        1%{?dist}
Summary:        Spell checking for Qt text widgets

License:        GPLv3+
URL:            https://github.com/manisandro/qtspell
Source0:        https://github.com/manisandro/qtspell/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  enchant-devel
BuildRequires:  doxygen

Requires:       iso-codes

%description
QtSpell adds spell-checking functionality to Qt's text widgets, using the
enchant spell-checking library.


%package        qt4
Summary:        Spell checking for Qt4 text widgets

%description    qt4
QtSpell adds spell-checking functionality to Qt4's text widgets, using the
enchant spell-checking library.


%package        qt4-devel
Summary:        Development files for %{name}-qt4
Requires:       %{name}-qt4%{?_isa} = %{version}-%{release}

%description    qt4-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        qt5
Summary:        Spell checking for Qt5 text widgets

%description    qt5
QtSpell adds spell-checking functionality to Qt5's text widgets, using the
enchant spell-checking library.


%package        qt5-devel
Summary:        Development files for %{name}-qt5
Requires:       %{name}-qt5%{?_isa} = %{version}-%{release}

%description    qt5-devel
The %{name}-qt5-devel package contains libraries and header files for
developing applications that use %{name}-qt5.


%package        qt5-translations
Summary:        Translations for %{name}-qt5
BuildArch:      noarch
Requires:       %{name}-qt5 = %{version}-%{release}
Requires:       qt5-qttranslations

%description    qt5-translations
The %{name}-qt5-translations contains translations for %{name}-qt5.


%package        doc
Summary:        Developer documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains the documentation for developing applications
that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir build-qt4
pushd build-qt4
LDFLAGS="%{__global_ldflags} -Wl,--as-needed" %cmake ..
make %{?_smp_mflags}
make doc
popd

mkdir build-qt5
pushd build-qt5
LDFLAGS="%{__global_ldflags} -Wl,--as-needed" %cmake -DUSE_QT5=ON ..
make %{?_smp_mflags}
popd


%install
%make_install -C build-qt4
%make_install -C build-qt5


%post qt4 -p /sbin/ldconfig

%postun qt4 -p /sbin/ldconfig


%post qt5 -p /sbin/ldconfig

%postun qt5 -p /sbin/ldconfig


%files qt4
%license COPYING
%{_libdir}/libqtspell-qt4.so.*
%{_qt4_translationdir}/QtSpell_*.qm

%files qt4-devel
%{_includedir}/QtSpell-qt4/
%{_libdir}/libqtspell-qt4.so
%{_libdir}/pkgconfig/QtSpell-qt4.pc

%files qt5
%license COPYING
%{_libdir}/libqtspell-qt5.so.*

%files qt5-devel
%{_includedir}/QtSpell-qt5/
%{_libdir}/libqtspell-qt5.so
%{_libdir}/pkgconfig/QtSpell-qt5.pc

%files qt5-translations
%{_qt5_translationdir}/QtSpell_*.qm

%files doc
%license COPYING
%doc build-qt4/doc/html


%changelog
* Tue May 26 2015 Sandro Mani <manisandro@gmail.com> - 0.7.4-1
- QtSpell 0.7.4

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 30 2015 Sandro Mani <manisandro@gmail.com> - 0.7.2-1
- QtSpell 0.7.2

* Mon Feb 09 2015 Sandro Mani <manisandro@gmail.com> - 0.7.1-1
- QtSpell 0.7.1

* Thu Feb 05 2015 Sandro Mani <manisandro@gmail.com> - 0.7.0-1
- QtSpell 0.7.0

* Sat Dec 27 2014 Sandro Mani <manisandro@gmail.com> - 0.6.0-1
- QtSpell 0.6.0

* Fri Dec 12 2014 Sandro Mani <manisandro@gmail.com> - 0.5.0-2
- Use %%license
- Add -Wl,--as-needed

* Fri Dec 12 2014 Sandro Mani <manisandro@gmail.com> - 0.5.0-1
- QtSpell 0.5.0
